## aiffparse aiffparse — Parse a .aiff file into raw audio |

## Synopsis

                        GstAiffParse;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAiffParse

## Description

### Example launch line

Parse a .aiff file into raw or compressed audio.

AIFFparse supports both push and pull mode operations, making it possible to stream from a network source.

    gst-launch filesrc location=sine.aiff ! aiffparse ! audioconvert ! alsasink

Read a aiff file and output to the soundcard using the ALSA element. The aiff file is assumed to contain raw uncompressed samples.

    gst-launch gnomevfssrc location=http://www.example.org/sine.aiff ! queue ! aiffparse ! audioconvert ! alsasink

Stream data from a network url.

## Details

### GstAiffParse

    typedef struct _GstAiffParse GstAiffParse;

Opaque data structure.